Package org.jboss.resteasy.cdi.i18n

## Class Messages_$bundle

- java.lang.Object
- - org.jboss.resteasy.cdi.i18n.Messages_$bundle

- All Implemented Interfaces:
    `Serializable`, `Messages`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-10-01T14:27:03-0700")
      public class Messages_$bundle
      extends Object
      implements Messages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Messages_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.jboss.resteasy.cdi.i18n.Messages

      `BASE, MESSAGES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Messages_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `annotatedTypeNull()` |
    `protected String` | `annotatedTypeNull$str()` |
    `String` | `beanDoesNotHaveScopeDefined​(Class<?> clazz, Annotation scope)` |
    `protected String` | `beanDoesNotHaveScopeDefined$str()` |
    `String` | `beanHasScopeDefined​(Class<?> clazz)` |
    `protected String` | `beanHasScopeDefined$str()` |
    `String` | `beanIsSLSBOrSingleton​(Class<?> clazz)` |
    `protected String` | `beanIsSLSBOrSingleton$str()` |
    `String` | `beansFound​(Type type, Set<javax.enterprise.inject.spi.Bean<?>> beans)` |
    `protected String` | `beansFound$str()` |
    `String` | `discoveredCDIBeanApplication​(String classname)` |
    `protected String` | `discoveredCDIBeanApplication$str()` |
    `String` | `discoveredCDIBeanJaxRsProvider​(String classname)` |
    `protected String` | `discoveredCDIBeanJaxRsProvider$str()` |
    `String` | `discoveredCDIBeanJaxRsResource​(String classname)` |
    `protected String` | `discoveredCDIBeanJaxRsResource$str()` |
    `String` | `doingALookupForBeanManager​(String name)` |
    `protected String` | `doingALookupForBeanManager$str()` |
    `String` | `errorOccurredLookingUpServletContext()` |
    `protected String` | `errorOccurredLookingUpServletContext$str()` |
    `String` | `errorOccurredLookingUpViaCDIUtil()` |
    `protected String` | `errorOccurredLookingUpViaCDIUtil$str()` |
    `String` | `foundBeanManagerAtJavaApp()` |
    `protected String` | `foundBeanManagerAtJavaApp$str()` |
    `String` | `foundBeanManagerAtJavaComp()` |
    `protected String` | `foundBeanManagerAtJavaComp$str()` |
    `String` | `foundBeanManagerInServletContext()` |
    `protected String` | `foundBeanManagerInServletContext$str()` |
    `String` | `foundBeanManagerViaCDI()` |
    `protected String` | `foundBeanManagerViaCDI$str()` |
    `protected Locale` | `getLoggingLocale()` |
    `String` | `noCDIBeansFound​(Class<?> clazz)` |
    `protected String` | `noCDIBeansFound$str()` |
    `String` | `noLookupInterface​(Class<?> clazz)` |
    `protected String` | `noLookupInterface$str()` |
    `protected Object` | `readResolve()` |
    `String` | `skippingValidationOutsideResteasyContext()` |
    `protected String` | `skippingValidationOutsideResteasyContext$str()` |
    `String` | `typeWillBeUsedForLookup​(Type type, Class<?> clazz)` |
    `protected String` | `typeWillBeUsedForLookup$str()` |
    `String` | `unableToFindCDIClass()` |
    `protected String` | `unableToFindCDIClass$str()` |
    `String` | `unableToFindServletContextClass()` |
    `protected String` | `unableToFindServletContextClass$str()` |
    `String` | `unableToLookupBeanManager()` |
    `protected String` | `unableToLookupBeanManager$str()` |
    `String` | `unableToObtainBeanManager​(String name)` |
    `protected String` | `unableToObtainBeanManager$str()` |
    `String` | `unableToObtainResteasyCdiExtension()` |
    `protected String` | `unableToObtainResteasyCdiExtension$str()` |
    `String` | `unableToPerformJNDILookups()` |
    `protected String` | `unableToPerformJNDILookups$str()` |
    `String` | `usingCdiConstructorInjector​(Class<?> clazz)` |
    `protected String` | `usingCdiConstructorInjector$str()` |
    `String` | `usingInterfaceForLookup​(Type type, Class<?> clazz)` |
    `protected String` | `usingInterfaceForLookup$str()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final Messages_$bundle INSTANCE

  - ### Constructor Detail

    - #### Messages_$bundle

          protected Messages_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### annotatedTypeNull$str

          protected String annotatedTypeNull$str()

    - #### annotatedTypeNull

          public final String annotatedTypeNull()

      Specified by:
        `annotatedTypeNull` in interface `Messages`

    - #### beanDoesNotHaveScopeDefined$str

          protected String beanDoesNotHaveScopeDefined$str()

    - #### beanDoesNotHaveScopeDefined

          public final String beanDoesNotHaveScopeDefined​(Class<?> clazz,
                                                          Annotation scope)

      Specified by:
        `beanDoesNotHaveScopeDefined` in interface `Messages`

    - #### beanHasScopeDefined$str

          protected String beanHasScopeDefined$str()

    - #### beanHasScopeDefined

          public final String beanHasScopeDefined​(Class<?> clazz)

      Specified by:
        `beanHasScopeDefined` in interface `Messages`

    - #### beanIsSLSBOrSingleton$str

          protected String beanIsSLSBOrSingleton$str()

    - #### beanIsSLSBOrSingleton

          public final String beanIsSLSBOrSingleton​(Class<?> clazz)

      Specified by:
        `beanIsSLSBOrSingleton` in interface `Messages`

    - #### beansFound$str

          protected String beansFound$str()

    - #### beansFound

          public final String beansFound​(Type type,
                                         Set<javax.enterprise.inject.spi.Bean<?>> beans)

      Specified by:
        `beansFound` in interface `Messages`

    - #### discoveredCDIBeanApplication$str

          protected String discoveredCDIBeanApplication$str()

    - #### discoveredCDIBeanApplication

          public final String discoveredCDIBeanApplication​(String classname)

      Specified by:
        `discoveredCDIBeanApplication` in interface `Messages`

    - #### discoveredCDIBeanJaxRsProvider$str

          protected String discoveredCDIBeanJaxRsProvider$str()

    - #### discoveredCDIBeanJaxRsProvider

          public final String discoveredCDIBeanJaxRsProvider​(String classname)

      Specified by:
        `discoveredCDIBeanJaxRsProvider` in interface `Messages`

    - #### discoveredCDIBeanJaxRsResource$str

          protected String discoveredCDIBeanJaxRsResource$str()

    - #### discoveredCDIBeanJaxRsResource

          public final String discoveredCDIBeanJaxRsResource​(String classname)

      Specified by:
        `discoveredCDIBeanJaxRsResource` in interface `Messages`

    - #### doingALookupForBeanManager$str

          protected String doingALookupForBeanManager$str()

    - #### doingALookupForBeanManager

          public final String doingALookupForBeanManager​(String name)

      Specified by:
        `doingALookupForBeanManager` in interface `Messages`

    - #### errorOccurredLookingUpServletContext$str

          protected String errorOccurredLookingUpServletContext$str()

    - #### errorOccurredLookingUpServletContext

          public final String errorOccurredLookingUpServletContext()

      Specified by:
        `errorOccurredLookingUpServletContext` in interface `Messages`

    - #### errorOccurredLookingUpViaCDIUtil$str

          protected String errorOccurredLookingUpViaCDIUtil$str()

    - #### errorOccurredLookingUpViaCDIUtil

          public final String errorOccurredLookingUpViaCDIUtil()

      Specified by:
        `errorOccurredLookingUpViaCDIUtil` in interface `Messages`

    - #### foundBeanManagerAtJavaApp$str

          protected String foundBeanManagerAtJavaApp$str()

    - #### foundBeanManagerAtJavaApp

          public final String foundBeanManagerAtJavaApp()

      Specified by:
        `foundBeanManagerAtJavaApp` in interface `Messages`

    - #### foundBeanManagerAtJavaComp$str

          protected String foundBeanManagerAtJavaComp$str()

    - #### foundBeanManagerAtJavaComp

          public final String foundBeanManagerAtJavaComp()

      Specified by:
        `foundBeanManagerAtJavaComp` in interface `Messages`

    - #### foundBeanManagerInServletContext$str

          protected String foundBeanManagerInServletContext$str()

    - #### foundBeanManagerInServletContext

          public final String foundBeanManagerInServletContext()

      Specified by:
        `foundBeanManagerInServletContext` in interface `Messages`

    - #### foundBeanManagerViaCDI$str

          protected String foundBeanManagerViaCDI$str()

    - #### foundBeanManagerViaCDI

          public final String foundBeanManagerViaCDI()

      Specified by:
        `foundBeanManagerViaCDI` in interface `Messages`

    - #### noCDIBeansFound$str

          protected String noCDIBeansFound$str()

    - #### noCDIBeansFound

          public final String noCDIBeansFound​(Class<?> clazz)

      Specified by:
        `noCDIBeansFound` in interface `Messages`

    - #### noLookupInterface$str

          protected String noLookupInterface$str()

    - #### noLookupInterface

          public final String noLookupInterface​(Class<?> clazz)

      Specified by:
        `noLookupInterface` in interface `Messages`

    - #### skippingValidationOutsideResteasyContext$str

          protected String skippingValidationOutsideResteasyContext$str()

    - #### skippingValidationOutsideResteasyContext

          public final String skippingValidationOutsideResteasyContext()

      Specified by:
        `skippingValidationOutsideResteasyContext` in interface `Messages`

    - #### typeWillBeUsedForLookup$str

          protected String typeWillBeUsedForLookup$str()

    - #### typeWillBeUsedForLookup

          public final String typeWillBeUsedForLookup​(Type type,
                                                      Class<?> clazz)

      Specified by:
        `typeWillBeUsedForLookup` in interface `Messages`

    - #### unableToFindCDIClass$str

          protected String unableToFindCDIClass$str()

    - #### unableToFindCDIClass

          public final String unableToFindCDIClass()

      Specified by:
        `unableToFindCDIClass` in interface `Messages`

    - #### unableToFindServletContextClass$str

          protected String unableToFindServletContextClass$str()

    - #### unableToFindServletContextClass

          public final String unableToFindServletContextClass()

      Specified by:
        `unableToFindServletContextClass` in interface `Messages`

    - #### unableToLookupBeanManager$str

          protected String unableToLookupBeanManager$str()

    - #### unableToLookupBeanManager

          public final String unableToLookupBeanManager()

      Specified by:
        `unableToLookupBeanManager` in interface `Messages`

    - #### unableToObtainBeanManager$str

          protected String unableToObtainBeanManager$str()

    - #### unableToObtainBeanManager

          public final String unableToObtainBeanManager​(String name)

      Specified by:
        `unableToObtainBeanManager` in interface `Messages`

    - #### unableToObtainResteasyCdiExtension$str

          protected String unableToObtainResteasyCdiExtension$str()

    - #### unableToObtainResteasyCdiExtension

          public final String unableToObtainResteasyCdiExtension()

      Specified by:
        `unableToObtainResteasyCdiExtension` in interface `Messages`

    - #### unableToPerformJNDILookups$str

          protected String unableToPerformJNDILookups$str()

    - #### unableToPerformJNDILookups

          public final String unableToPerformJNDILookups()

      Specified by:
        `unableToPerformJNDILookups` in interface `Messages`

    - #### usingCdiConstructorInjector$str

          protected String usingCdiConstructorInjector$str()

    - #### usingCdiConstructorInjector

          public final String usingCdiConstructorInjector​(Class<?> clazz)

      Specified by:
        `usingCdiConstructorInjector` in interface `Messages`

    - #### usingInterfaceForLookup$str

          protected String usingInterfaceForLookup$str()

    - #### usingInterfaceForLookup

          public final String usingInterfaceForLookup​(Type type,
                                                      Class<?> clazz)

      Specified by:
        `usingInterfaceForLookup` in interface `Messages`